## blt82 2.4o

=== demos/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for demos 
# ------------------------------------------------------------------------

prefix =	/usr
exec_prefix =	/usr
libdir =	$(exec_prefix)/lib
scriptdir =	/usr/lib/blt2.4
destdir =	$(scriptdir)/demos
srcdir =	.

SHELL =		/bin/sh
RM =		rm -rf
INSTALL =	/usr/bin/install -c
INSTALL_DATA =	${INSTALL} -m 644

instdirs =	$(prefix) $(exec_prefix) $(libdir) $(scriptdir) \
		$(destdir) \
		$(destdir)/bitmaps \
		$(destdir)/bitmaps/hand \
		$(destdir)/bitmaps/fish \
		$(destdir)/images \
		$(destdir)/scripts

demos 	=	barchart1.tcl barchart2.tcl barchart3.tcl barchart4.tcl \
		barchart5.tcl \
		bgexec1.tcl bgexec2.tcl bgexec3.tcl bgexec4.tcl \
		bitmap.tcl \
		busy1.tcl \
		dragdrop1.tcl dragdrop2.tcl \
		eps.tcl \
		graph1.tcl graph2.tcl graph3.tcl graph4.tcl graph5.tcl \
		graph6.tcl graph7.tcl \
		hierbox1.tcl hierbox2.tcl hierbox3.tcl hierbox4.tcl \
		hiertable1.tcl \
		htext1.tcl \
		htext.txt \
		spline.tcl stripchart1.tcl \
		tabset1.tcl tabset2.tcl tabset3.tcl tabset4.tcl \
		winop1.tcl 

all:

install: inst-dirs inst-bitmaps inst-images inst-scripts 

inst-scripts: 
	for i in $(srcdir)/scripts/*.tcl ; do \
            $(INSTALL) $$i $(destdir)/scripts ; \
	done 
	for i in $(demos) ; do \
            $(INSTALL) $(srcdir)/$$i $(destdir)/$$i ; \
	done 

inst-bitmaps: 
	for i in $(srcdir)/bitmaps/*.xbm ; do \
	    $(INSTALL_DATA) $$i $(destdir)/bitmaps ; \
	done 
	for i in $(srcdir)/bitmaps/hand/*.xbm ; do \
	    $(INSTALL_DATA) $$i $(destdir)/bitmaps/hand ; \
	done 
	for i in $(srcdir)/bitmaps/fish/*.xbm ; do \
	    $(INSTALL_DATA) $$i $(destdir)/bitmaps/fish ; \
	done 

inst-images: 
	for i in $(srcdir)/images/*.gif $(srcdir)/images/*.ps ; do \
	    $(INSTALL_DATA) $$i $(destdir)/images ; \
	done 

inst-dirs:
	@for i in $(instdirs) ; do \
	    if test -d "$$i" ; then : ; else mkdir "$$i" ; fi ; \
        done

clean:
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* 

distclean: clean
	$(RM) *.ps Makefile

=== library/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for library files and directories of BLT library
# ------------------------------------------------------------------------

prefix       = /usr
exec_prefix  = /usr
srcdir       = .
libdir       = $(exec_prefix)/lib
scriptdir    = /usr/lib/blt2.4
version      = 2.4
AUX_LIBS     = 

INSTALL      = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
RM           = rm -f
SHELL        = /bin/sh

miscFiles     = bltCanvEps.pro bltGraph.pro \
		bltDnd.tcl bltDragdrop.tcl \
		bltGraph.tcl bltHierbox.tcl bltHiertable.tcl bltTabset.tcl \
		tclIndex 

ddFiles      = dd-color.tcl dd-file.tcl dd-number.tcl dd-text.tcl tclIndex

instdirs     = $(prefix) $(exec_prefix) $(libdir) $(scriptdir) \
		$(scriptdir)/dd_protocols

all: pkgIndex

install: mkdirs dragdrop files package

mkdirs:
	@for i in $(instdirs) ; do \
	    if test -d $$i ; then : ; else mkdir $$i ; fi ; \
        done

dragdrop: mkdirs
	for i in $(ddFiles) ; do \
	    $(INSTALL_DATA) $(srcdir)/dd_protocols/$$i $(scriptdir)/dd_protocols ; \
	done 

files: mkdirs
	for i in $(miscFiles) ; do \
	    $(INSTALL_DATA) $(srcdir)/$$i $(scriptdir) ; \
	done 

package: mkdirs pkgIndex.tcl
	$(INSTALL_DATA) pkgIndex.tcl $(scriptdir)

pkgIndex: 
	rm -f pkgIndex.tcl
	sed -e 's/__VERSION__/$(version)/' $(srcdir)/pkgIndex.tcl.in | \
	sed -e 's;__LIB_DIR__;$(libdir);' | \
	sed -e 's;__AUX_LIBS__;$(AUX_LIBS);' > pkgIndex.tcl
clean:
	$(RM) pkgIndex.tcl

distclean: clean
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* Makefile

=== man/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for manual page files 
# ------------------------------------------------------------------------

prefix  	= /usr
mandir  	= ${prefix}/man
sectiondir 	= $(mandir)/mann
srcdir		= .
version		= 2.4

instdirs	= $(mandir) $(sectiondir)

MANPAGES	 = BLT.n barchart.n beep.n bgexec.n bitmap.n \
		   bltdebug.n busy.n cutbuffer.n dragdrop.n eps.n \
		   graph.n hierbox.n hiertable.n htext.n spline.n \
		   stripchart.n table.n tabset.n tile.n vector.n \
		   watch.n winop.n

INSTALL  	= /usr/bin/install -c
INSTALL_DATA  	= ${INSTALL} -m 644
SHELL    	= /bin/sh
RM		= rm -rf

all: man.macros $(MANPAGES)

install: install-dirs install-manuals

install-manuals: $(MANPAGES)
	for i in *.n ; do \
		$(INSTALL_DATA) $$i $(sectiondir); \
	done

install-dirs:
	@for i in $(instdirs) ; do \
	    if test ! -d $$i ; then \
		mkdir $$i ; \
	    fi ; \
	done

.SUFFIXES: .n .man

.man.n: man.macros
	$(RM) $@
	sed -e "/man\.macros/r man.macros" -e '/man\.macros/d' $< > $@

man.macros: man.macros.in
	$(RM) man.macros
	sed -e 's/BLT_VERSION/$(version)/' \
		$(srcdir)/man.macros.in > man.macros		

clean:
	$(RM) man.macros $(MANPAGES)

distclean: clean
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* Makefile

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for static version of BLT library
# ------------------------------------------------------------------------

# ------------------------------------------------------------------------
# 	C Compiler options 
# ------------------------------------------------------------------------

BLT_LIBRARY =	/usr/lib/blt2.4
CC =		gcc
CFLAGS =	-O6 
DEFINES =	
DEF_BLTINIT =	-DBLT_LIBRARY=\"$(BLT_LIBRARY)\"
EXTRA_CFLAGS =	-Wall
LDFLAGS =	-Wl,-rpath,/usr/X11R6/lib
version =	24

# ------------------------------------------------------------------------
# 	Source and targer installation directories 
# ------------------------------------------------------------------------

bindir =	$(exec_prefix)/bin
exec_prefix =	/usr
incdir =	$(prefix)/include
libdir =	$(exec_prefix)/lib
prefix =	/usr
srcdir =	.

instdirs =	$(prefix) $(exec_prefix) $(bindir) $(libdir) $(incdir)

# ------------------------------------------------------------------------
# 	Directories containing Tcl and Tk include files and libraries
# ------------------------------------------------------------------------

INCLUDES =	-I. -I$(srcdir)  -I/usr/X11R6/include

# ------------------------------------------------------------------------
#       Libraries directives for Tcl, Tk, X11, and BLT
# ------------------------------------------------------------------------

LIBRARIES =	$(lib_a)  -ltk8.2 -ltcl8.2 -L/usr/X11R6/lib -lX11 -lm -lnsl  -ldl

# ------------------------------------------------------------------------
# 	You don't need to edit anything beyond this point
# ------------------------------------------------------------------------

#N_OBJS =	bltTed.o
V3_OBJS =	bltTri.o bltGrMt.o 

TREE_OBJS =     bltTree.o bltHiertable.o bltHtCmd.o bltHtText.o

TK_OBJS =	tkButton.o tkFrame.o tkScrollbar.o 

OBJS =		bltGraph.o bltGrAxis.o bltGrBar.o bltGrElem.o \
		bltGrGrid.o bltGrHairs.o bltGrLegd.o bltGrLine.o \
		bltGrMarker.o bltGrMisc.o bltGrPen.o bltGrPs.o \
	       	bltBeep.o bltBgexec.o bltBitmap.o bltBusy.o \
		bltContainer.o bltCutbuffer.o bltDebug.o \
                bltDnd.o bltUnixDnd.o \
		bltHierbox.o bltHtext.o bltSpline.o bltTable.o bltTabset.o \
		bltVector.o bltWatch.o bltWinop.o \
		bltCanvEps.o bltInit.o bltBind.o bltColor.o \
		bltConfig.o bltImage.o bltList.o bltChain.o \
		bltNsUtil.o bltParse.o bltPs.o bltText.o bltTile.o \
		bltUnixPipe.o bltUtil.o bltWindow.o \
		$(TREE_OBJS) $(TK_OBJS) $(N_OBJS) 

# GNU Make-specific macro
SRCS =		$(patsubst %.o,$(srcdir)/%.c,$(OBJS)) 

demo =		bltwish
headers =	blt.h
lib_a =		libBLT.a
libvers_a =	libBLT$(version).a

CC_SWITCHES =	$(EXTRA_CFLAGS) $(CFLAGS) $(DEFINES) $(INCLUDES)
INSTALL =	/usr/bin/install -c
INSTALL_DATA =	${INSTALL} -m 644
RANLIB =	ranlib
SHELL =		/bin/sh
AR =		ar rc
RM =		rm -f
LINT =		lint
LINTFLAGS =	-axhbns
LN_S =		ln -s

all: build_lib build_demo build_shared

build_lib: $(lib_a)

build_shared:
	(cd shared; $(MAKE) CFLAGS="$(CFLAGS)" all) 

build_demo: $(demo)

$(demo): $(lib_a)
	$(RM) $(demo)
	$(CC) $(CC_SWITCHES) $(LDFLAGS) $(srcdir)/bltUnixMain.c -o $(demo) \
		$(LIBRARIES) 

$(lib_a):  $(OBJS)
	$(RM) $@
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

install: install_dirs install_lib install_demo install_headers

install_demo: $(demo)
	$(INSTALL) -m 0755 bltwish $(bindir)

install_lib: $(lib_a)
	$(INSTALL_DATA) $(lib_a) $(libdir)/$(libvers_a)
	(cd $(libdir); $(RM) $(lib_a) ; $(LN_S) $(libvers_a) $(lib_a))
	$(RANLIB) $(libdir)/$(libvers_a)
	(cd shared; $(MAKE) install) 

install_dirs:
	@for i in $(instdirs) ; do \
	    if test ! -d $$i ; then \
		echo " mkdir $$i" ; \
		mkdir $$i ; \
	    fi ; \
        done

install_headers:
	@for i in $(headers) ; do \
	    echo "installing $(incdir)/$$i..." ; \
	    $(INSTALL_DATA) -m 0444 $(srcdir)/$$i $(incdir) ; \
	done

lint:
	$(LINT) $(LINTFLAGS) $(DEFINES) $(INCLUDES) $(SRCS)

clean:
	$(RM) $(OBJS) $(DEMO_OBJS) $(lib_a) $(demo)* *pure* .pure*
	(cd shared; $(MAKE) clean) 

distclean: clean
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"*  Makefile
	$(RM) bltConfig.h Makefile TAGS


bltInit.o: bltInit.c
	$(CC) -c $(CC_SWITCHES) $(DEF_BLTINIT) $<

.c.o:
	$(CC) -c $(CC_SWITCHES) $<

PUREFLAGS=
pure: $(lib_a)
	$(PURIFYHOME)/purify $(PUREFLAGS) $(CC) $(CC_SWITCHES) \
		$(srcdir)/bltUnixMain.c -o bltwish $(LIBRARIES)

QUANTIFYFLAGS=
quant: $(lib_a)
	$(QUANTIFYHOME)/quantify $(QUANTIFYFLAGS) $(CC) $(CC_SWITCHES) \
		$(srcdir)/bltUnixMain.c -o bltwish $(LIBRARIES)

=== src/shared/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for shared version of BLT library
# ------------------------------------------------------------------------

SHLIB_SUFFIX =	.so
version =	24
lib_so =	libBLT$(version)$(SHLIB_SUFFIX)

# ------------------------------------------------------------------------
# 	C Compiler options 
# ------------------------------------------------------------------------

CC =		gcc
CFLAGS =	-O6 
EXTRA_CFLAGS =	-Wall -fPIC
DEFINES =	
DEF_BLTINIT =	-DBLT_LIBRARY=\"$(scriptdir)\"
SHLIB_LD_FLAGS = -rdynamic -shared -Wl,-E -Wl,-soname,libBLT24.so -Wl,-rpath,/usr/X11R6/lib 
SHLIB_LD_LIBS =  -ltk8.2 -ltcl8.2 -L/usr/X11R6/lib -lX11 -lm -lnsl  
SHLIB_LD =	gcc
LDFLAGS =	-Wl,-rpath,/usr/X11R6/lib

prefix =	/usr
exec_prefix =	/usr
libdir =	$(exec_prefix)/lib
bindir =	$(exec_prefix)/bin
srcdir =	./..

instdirs =	$(exec_prefix) $(libdir) 

scriptdir =	/usr/lib/blt2.4

LIBRARIES =	$(lib_so)  -ltk8.2 -ltcl8.2 -L/usr/X11R6/lib -lX11 -lm -lnsl  -ldl

# ------------------------------------------------------------------------
# 	Don't edit anything beyond this point
# ------------------------------------------------------------------------

#N_OBJS =	bltTed.o
V3_OBJS =	bltTri.o bltGrMt.o 
TREE_OBJS =	bltTree.o bltHiertable.o bltHtCmd.o bltHtText.o
TK_OBJS =	tkButton.o tkFrame.o tkScrollbar.o 

OBJS =		bltGraph.o bltGrAxis.o bltGrBar.o bltGrElem.o \
		bltGrGrid.o bltGrHairs.o bltGrLegd.o bltGrLine.o \
		bltGrMarker.o bltGrMisc.o bltGrPen.o bltGrPs.o \
	       	bltBeep.o bltBgexec.o bltBitmap.o bltBusy.o \
		bltContainer.o bltCutbuffer.o bltDebug.o \
		bltDnd.o bltUnixDnd.o \
		bltHierbox.o bltHtext.o bltSpline.o bltTable.o bltTabset.o \
		bltVector.o bltWatch.o bltWinop.o \
		bltCanvEps.o bltInit.o bltBind.o bltColor.o \
		bltConfig.o bltImage.o bltList.o bltChain.o \
		bltNsUtil.o bltParse.o bltPs.o bltText.o bltTile.o \
		bltUnixPipe.o bltUtil.o bltWindow.o \
		$(TREE_OBJS) $(TK_OBJS) $(N_OBJS) 

INCLUDES =	-I.. -I$(srcdir) -I$(srcdir)/..  -I/usr/X11R6/include
CC_SWITCHES =	$(EXTRA_CFLAGS) $(CFLAGS) $(DEFINES) $(INCLUDES)
INSTALL =	/usr/bin/install -c
INSTALL_DATA =	${INSTALL} -m 644
SHELL =		/bin/sh
RM =		rm -f
LN_S =		ln -s
demo =		bltwish$(version)

all: build_lib build_demo

build_demo: $(demo)

$(demo): $(lib_so)
	$(RM) $(demo)
	$(CC) $(CC_SWITCHES) $(LDFLAGS) \
		$(srcdir)/bltUnixMain.c -o $(demo) $(LIBRARIES) 

build_lib: $(lib_so)

$(lib_so): $(OBJS)
	$(RM) $@
	$(SHLIB_LD) $(SHLIB_LD_FLAGS) -o $@ $(OBJS) $(SHLIB_LD_LIBS)

install: install_dirs install_lib install_demo

install_demo: $(demo)
	$(INSTALL) -m 0755 bltwish$(version) $(bindir)

install_lib: $(lib_so)
	$(INSTALL) -m 0755 $(lib_so) $(libdir)

install_dirs:
	@for i in $(instdirs) ; do \
	    if test ! -d $$i ; then \
		echo " mkdir $$i" ; \
		mkdir $$i ; \
	    fi ; \
        done

clean:
	$(RM) $(OBJS) $(lib_so) $(demo) *pure* .pure* 

distclean: clean
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* 

# ------------------------------------------------------------------------
# 	in lieu of viewpath-ing...
#
bltBeep.o: 	$(srcdir)/bltBeep.c 
	$(CC) -c $(CC_SWITCHES) $?
bltBgexec.o: 	$(srcdir)/bltBgexec.c
	$(CC) -c $(CC_SWITCHES) $?
bltBind.o: 	$(srcdir)/bltBind.c
	$(CC) -c $(CC_SWITCHES) $?
bltBitmap.o: 	$(srcdir)/bltBitmap.c
	$(CC) -c $(CC_SWITCHES) $?
bltBusy.o: 	$(srcdir)/bltBusy.c
	$(CC) -c $(CC_SWITCHES) $?
bltCanvEps.o: 	$(srcdir)/bltCanvEps.c
	$(CC) -c $(CC_SWITCHES) $?
bltColor.o: 	$(srcdir)/bltColor.c       
	$(CC) -c $(CC_SWITCHES) $?
bltConfig.o: 	$(srcdir)/bltConfig.c       
	$(CC) -c $(CC_SWITCHES) $?
bltContainer.o: $(srcdir)/bltContainer.c
	$(CC) -c $(CC_SWITCHES) $?
bltCutbuffer.o: $(srcdir)/bltCutbuffer.c
	$(CC) -c $(CC_SWITCHES) $?
bltDebug.o: $(srcdir)/bltDebug.c
	$(CC) -c $(CC_SWITCHES) $?
bltDnd.o: $(srcdir)/bltDnd.c
	$(CC) -c $(CC_SWITCHES) $?
bltUnixDnd.o: $(srcdir)/bltUnixDnd.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrAxis.o:	$(srcdir)/bltGrAxis.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrBar.o:	$(srcdir)/bltGrBar.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrElem.o:	$(srcdir)/bltGrElem.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrGrid.o:	$(srcdir)/bltGrGrid.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrHairs.o:	$(srcdir)/bltGrHairs.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrLegd.o: 	$(srcdir)/bltGrLegd.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrLine.o:	$(srcdir)/bltGrLine.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrMisc.o: 	$(srcdir)/bltGrMisc.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrPen.o: 	$(srcdir)/bltGrPen.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrPs.o: 	$(srcdir)/bltGrPs.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrMarker.o: 	$(srcdir)/bltGrMarker.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrMt.o: 	$(srcdir)/bltGrMt.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrCont.o: 	$(srcdir)/bltGrCont.c
	$(CC) -c $(CC_SWITCHES) $?
bltGraph.o:	$(srcdir)/bltGraph.c
	$(CC) -c $(CC_SWITCHES) $?
bltHierbox.o: 	$(srcdir)/bltHierbox.c
	$(CC) -c $(CC_SWITCHES) $?
bltHiertable.o: $(srcdir)/bltHiertable.c
	$(CC) -c $(CC_SWITCHES) $?
bltHtCmd.o: $(srcdir)/bltHtCmd.c
	$(CC) -c $(CC_SWITCHES) $?
bltHtText.o: $(srcdir)/bltHtText.c
	$(CC) -c $(CC_SWITCHES) $?
bltHtext.o: 	$(srcdir)/bltHtext.c
	$(CC) -c $(CC_SWITCHES) $?
bltImage.o: 	$(srcdir)/bltImage.c       
	$(CC) -c $(CC_SWITCHES) $?
bltInit.o: 	$(srcdir)/bltInit.c       
	$(CC) -c $(CC_SWITCHES) $(DEF_BLTINIT) $?
bltList.o: 	$(srcdir)/bltList.c
	$(CC) -c $(CC_SWITCHES) $?
bltChain.o: 	$(srcdir)/bltChain.c
	$(CC) -c $(CC_SWITCHES) $?
bltNsUtil.o: 	$(srcdir)/bltNsUtil.c
	$(CC) -c $(CC_SWITCHES) $?
bltParse.o: 	$(srcdir)/bltParse.c
	$(CC) -c $(CC_SWITCHES) $?
bltPs.o: 	$(srcdir)/bltPs.c
	$(CC) -c $(CC_SWITCHES) $?
bltSpline.o: 	$(srcdir)/bltSpline.c
	$(CC) -c $(CC_SWITCHES) $?
bltTable.o: 	$(srcdir)/bltTable.c
	$(CC) -c $(CC_SWITCHES) $?
bltTabset.o: 	$(srcdir)/bltTabset.c
	$(CC) -c $(CC_SWITCHES) $?
bltTed.o: 	$(srcdir)/bltTed.c
	$(CC) -c $(CC_SWITCHES) $?
bltText.o: 	$(srcdir)/bltText.c
	$(CC) -c $(CC_SWITCHES) $?
bltTile.o: 	$(srcdir)/bltTile.c
	$(CC) -c $(CC_SWITCHES) $?
bltTree.o: 	$(srcdir)/bltTree.c
	$(CC) -c $(CC_SWITCHES) $?
bltTri.o: 	$(srcdir)/bltTri.c
	$(CC) -c $(CC_SWITCHES) $?
bltVector.o: 	$(srcdir)/bltVector.c
	$(CC) -c $(CC_SWITCHES) $?
bltWatch.o:	$(srcdir)/bltWatch.c
	$(CC) -c $(CC_SWITCHES) $?
bltWindow.o: 	$(srcdir)/bltWindow.c       
	$(CC) -c $(CC_SWITCHES) $?
bltWinop.o:     $(srcdir)/bltWinop.c
	$(CC) -c $(CC_SWITCHES) $?
bltUnixPipe.o: 	$(srcdir)/bltUnixPipe.c
	$(CC) -c $(CC_SWITCHES) $?
bltUtil.o: 	$(srcdir)/bltUtil.c
	$(CC) -c $(CC_SWITCHES) $?
tkButton.o: 	$(srcdir)/tkButton.c
	$(CC) -c $(CC_SWITCHES) $?
tkFrame.o: 	$(srcdir)/tkFrame.c
	$(CC) -c $(CC_SWITCHES) $?
tkMenubutton.o: $(srcdir)/tkMenubutton.c
	$(CC) -c $(CC_SWITCHES) $?
tkScrollbar.o: 	$(srcdir)/tkScrollbar.c
	$(CC) -c $(CC_SWITCHES) $?

=== debian/changelog ===
blt82 (2.4o) unstable; urgency=low

  * Initial Release.

 -- Marcus G. Daniels <mgd@swarm.org>  Wed, 23 Feb 2000 18:35:22 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "mgd@swarm.org"
End:

=== debian/control ===
Source: blt82
Section: devel
Priority: optional
Maintainer: Marcus G. Daniels <mgd@helen.santafe.edu>
Standards-Version: 2.4.0.1

Package: blt82
Section: libs
Architecture: any
Depends: tcl8.2, tk8.2
Description: Shared libraries for BLT

Package: blt82-dev
Section: devel
Architecture: any
Depends: blt82, tcl8.2-dev, tk8.2-dev
Description: Developer support for BLT

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

build:
	$(checkdir)
	./configure --prefix=/usr
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	mkdir -p `pwd`/debian/tmp/usr/share
	make install prefix=`pwd`/debian/tmp/usr exec_prefix=`pwd`/debian/tmp/usr install_bindir=/usr/bin scriptdir=`pwd`/debian/tmp/usr/lib/blt2.4 mandir=`pwd`/debian/tmp/usr/share/man
	debstd
	dpkg-gencontrol -pblt82
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
